%global pypi_name readthedocs-sphinx-ext

%bcond_with check

Name:           python-%{pypi_name}
Version:        2.1.5
Release:        %mkrel 1
Summary:        Sphinx extension for Read the Docs overrides
Group:		    Development/Python
License:        MIT
URL:            https://pypi.org/project/readthedocs-sphinx-ext/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(requests)
BuildRequires:	python3dist(docutils)
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
%endif

%description
This module adds extensions that make Sphinx easier to use.  Some of them
require Read the Docs features, others are just code that we ship and
enable during builds on Read the Docs.  We currently ship:
- An extension for building docs like Read the Docs
- template-meta - allows users to specify template overrides in per-page
  contexts.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:		    Development/Python

%description -n python3-%{pypi_name}
This module adds extensions that make Sphinx easier to use.  Some of them
require Read the Docs features, others are just code that we ship and
enable during builds on Read the Docs.  We currently ship:
- An extension for building docs like Read the Docs
- template-meta - allows users to specify template overrides in per-page
  contexts.

%prep
%autosetup -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build
rst2html --no-datestamp README.rst README.html

%install
%py3_install

%if %{with check}
%check
pytest
%endif

%files -n python3-%{pypi_name}
%doc README.html
%license LICENSE
%{python3_sitelib}/readthedocs_ext/
%{python3_sitelib}/readthedocs_sphinx_ext*


%changelog
* Mon Apr 04 2022 guillomovitch <guillomovitch> 2.1.5-1.mga9
+ Revision: 1843857
- new version 2.1.5

* Tue Mar 29 2022 umeabot <umeabot> 2.1.4-3.mga9
+ Revision: 1832178
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 2.1.4-2.mga9
+ Revision: 1783139
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 2.1.4-1.mga9
+ Revision: 1706103
- new version 2.1.4

* Sun Mar 14 2021 wally <wally> 2.1.3-2.mga9
+ Revision: 1702706
- rebuild for python 3.9
- enable bootstrap for sphinx

* Tue Mar 02 2021 guillomovitch <guillomovitch> 2.1.3-1.mga9
+ Revision: 1696398
- imported package python-readthedocs-sphinx-ext

